Package twisted :: Package scripts :: Module tapconvert

[show private | hide private]
[frames | no frames]

## Module twisted.scripts.tapconvert

Classes
`ConvertOptions` |
`EverythingEphemeral` |
`LoaderCommon` | Simple logic for loading persisted data
`LoaderPython` |
`LoaderSource` |
`LoaderTap` |
`LoaderXML` |

Function Summary
| `guessType(filename)`
| ``loadPersisted`(filename, kind, encrypted, passphrase)` Loads filename, of the specified kind and returns an application
| `run()`
| `savePersisted(app, filename, encrypted)`

Variable Summary
`dict` | `loaders`

Function Details

### loadPersisted(filename, kind, encrypted, passphrase)

Loads filename, of the specified kind and returns an application

Variable Details

### loaders

  Type:
    `dict`
  Value:

        {'pickle': <class twisted.scripts.tapconvert.LoaderTap at 0x8827d44>,
         'python': <class twisted.scripts.tapconvert.LoaderPython at 0x8984bbc\
        >,
         'source': <class twisted.scripts.tapconvert.LoaderSource at 0x890accc\
        >,
         'xml': <class twisted.scripts.tapconvert.LoaderXML at 0x8597eec>}

Generated by Epydoc 1.1 on Thu May 8 13:16:51 2003 | http://epydoc.sf.net